# Generated by Django 2.2.1 on 2019-08-22 05:43

import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Organisation name', max_length=100)),
                ('email', models.EmailField(blank=True, help_text='Company Email', max_length=254)),
                ('phone', models.CharField(blank=True, max_length=50)),
                ('ceo', models.CharField(blank=True, max_length=50)),
                ('logo', models.FileField(default='media/noprofile.png', upload_to='media/companies/%Y', verbose_name='Profile logo')),
                ('expect', models.TextField(blank=True, help_text='Expect text', max_length=255)),
                ('slug', models.SlugField(unique=True)),
                ('website_url', models.URLField(blank=True, help_text='website Address')),
                ('background_image', models.FileField(default='media/defaultbg.jpg', upload_to='media/companies/%Y')),
            ],
            options={
                'verbose_name': 'Company',
                'verbose_name_plural': 'Companies',
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('slug', models.SlugField()),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='companies.Company')),
            ],
        ),
    ]
